gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.FaceT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype FaceT = FaceT (ManagedPtr FaceT)

# Exported types

newtype FaceT Source #

Memory-managed wrapper type.

Constructors

FaceT (ManagedPtr FaceT) |

#### Instances

Instances details

Eq FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods (==) :: FaceT -> FaceT -> Bool # (/=) :: FaceT -> FaceT -> Bool #
GBoxed FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT
TypedObject FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods glibType :: IO GType Source #
ManagedPtrNewtype FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods toManagedPtr :: FaceT -> ManagedPtr FaceT Source #
IsGValue FaceT Source # | Convert `FaceT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FaceT Methods toGValue :: FaceT -> IO GValue Source # fromGValue :: GValue -> IO FaceT Source #
HasParentTypes FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT
type ParentTypes FaceT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FaceT type ParentTypes FaceT = '[] :: [Type]

# Methods

## Overloaded methods